Zydis: ZydisDecodedInstructionRaw_ Struct Reference

Zydis v4.1.0

Loading...
Searching...
No Matches
Data Structures | Data Fields
ZydisDecodedInstructionRaw_ Struct Reference

Detailed info about different instruction-parts like `ModRM`, `SIB` or encoding-prefixes. More...

`#include <DecoderTypes.h>`

## Data Structures
struct | ZydisDecodedInstructionModRm_
| Detailed info about the `ModRM` byte. More...
struct | ZydisDecodedInstructionRawDisp_
| Detailed info about displacement-bytes. More...
struct | ZydisDecodedInstructionRawImm_
| Detailed info about immediate-bytes. More...
struct | ZydisDecodedInstructionRawPrefixes_
| Detailed info about the legacy prefixes (including `REX`). More...
struct | ZydisDecodedInstructionRawSib_
| Detailed info about the `SIB` byte. More...

## Data Fields
ZyanU8 | prefix_count
| The number of legacy prefixes.
struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawPrefixes_ | prefixes [ZYDIS_MAX_INSTRUCTION_LENGTH]
ZydisInstructionEncoding | encoding2
union { |
ZydisDecodedInstructionRawRex rex |
ZydisDecodedInstructionRawXop xop |
ZydisDecodedInstructionRawVex vex |
ZydisDecodedInstructionRawEvex evex |
ZydisDecodedInstructionRawMvex mvex |
}; |  |
struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionModRm_ | modrm
struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawSib_ | sib
struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawDisp_ | disp
struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawImm_ | imm [2]

## Detailed Description

Detailed info about different instruction-parts like `ModRM`, `SIB` or encoding-prefixes.

## Field Documentation

## ◆ [union]

union { ... }

## ◆ disp

struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawDisp_ disp

## ◆ encoding2

ZydisInstructionEncoding encoding2

## ◆ evex

ZydisDecodedInstructionRawEvex evex

## ◆ imm

struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawImm_ imm[2]

## ◆ modrm

struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionModRm_ modrm

## ◆ mvex

ZydisDecodedInstructionRawMvex mvex

## ◆ prefix_count

ZyanU8 prefix_count

The number of legacy prefixes.

## ◆ prefixes

struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawPrefixes_ prefixes[ZYDIS_MAX_INSTRUCTION_LENGTH]

## ◆ rex

ZydisDecodedInstructionRawRex rex

## ◆ sib

struct ZydisDecodedInstructionRaw_::ZydisDecodedInstructionRawSib_ sib

## ◆ vex

ZydisDecodedInstructionRawVex vex

## ◆ xop

ZydisDecodedInstructionRawXop xop

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h